<?php
require_once 'include/contain.class.php';

if(isset($_COOKIE['login_auth'])) {
    list($User_uid, $User_username) = explode("\t", uc_authcode($_COOKIE['login_auth'], 'DECODE'));
    if($_GET['operation']=='up'){
            $_admincp_power[group] = mysql_fetch_array(mysql_query("SELECT * FROM ".$table."group_power
WHERE name='core'"));
            $info = mysql_fetch_array(mysql_query("SELECT * FROM ".$table."members
WHERE `uid`='$User_uid'"));
        if($_admincp_power[group][integral] <= $info[integral]){
            $i=mysql_query("UPDATE ".IQQOL_SQLTABLE."members
 SET `group`='2' 
 WHERE uid = '$User_uid'",$con);
            $state = $lang[system][user_group][upok];
            $style->display('main/home_status.html');
        }
        else{
            $state = $lang[system][user_group][upfalse];
            $style->display('main/home_status.html');
        }
    }
}
else {
    $style->display('login.html');
}
?>